#
# spec file for package jasper
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           jasper
BuildRequires:  gcc-c++ libdrm-devel libjpeg-devel
Url:            http://www.ece.uvic.ca/~mdadams/jasper/
License:        Public Domain, Freeware
Group:          Productivity/Graphics/Convertors
AutoReqProv:    on
Version:        1.900.1
Release:        146.147.1
Summary:        An Implementation of the JPEG-2000 Standard, Part 1
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch:          %{name}-%{version}-uninitialized.patch
Patch2:         %{name}-%{version}-bug258253.patch
Patch3:         %{name}-%{version}-bug392410.patch
Patch4:         %{name}-1.900.1-bnc725758.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains an implementation of the image compression
standard, JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.

%package -n libjasper1
License:        Public Domain, Freeware
Summary:        JPEG-2000 library
Group:          Productivity/Graphics/Convertors
# bug437293
%ifarch ppc64
Obsoletes:      libjasper-64bit
%endif
# used in <= 11.3
Obsoletes:      libjasper
Provides:       libjasper
#

%description -n libjasper1
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%package -n libjasper-devel
License:        Public Domain, Freeware
Summary:        JPEG-2000 library - files mandatory for development
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libjasper-devel-64bit
%endif
#
Requires:       libjasper1 = %{version} 
Requires:       libjpeg-devel

%description -n libjasper-devel
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%prep
%setup -q
%patch
%patch2
%patch3
%patch4

%build
%{suse_update_config}
autoreconf -i -f
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --enable-shared --disable-static --libdir=%{_libdir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv doc/README doc/README.doc
rm $RPM_BUILD_ROOT/usr/bin/tmrdemo
# compatibility link, there was no interface change
ln -s libjasper.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libjasper-1.701.so.1

%post -n libjasper1 -p /sbin/ldconfig

%postun -n libjasper1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL LICENSE NEWS README doc/*
/usr/bin/imgcmp
/usr/bin/imginfo
/usr/bin/jasper
%{_mandir}/man*/*

%files -n libjasper1
%defattr(-,root,root)
%{_libdir}/libjasper*.so.*

%files -n libjasper-devel
%defattr(-,root,root)
/usr/include/jasper
%{_libdir}/libjasper.so
%{_libdir}/libjasper.la

%changelog
* Wed Dec 14 2011 mkubecek@suse.cz
- jasper-1.900.1-bnc725758.patch:
  Two security bugs allowing buffer overflow to be caused by
  incorrect image data (bnc#725758, CVE-2011-4516 and CVE-2011-4517)
* Mon Aug  2 2010 coolo@novell.com
- fix baselibs.conf
* Thu Jul 29 2010 coolo@novell.com
- do not build the highlevel image viewer in a basic library
  (in case someone needs it, we better do a 2nd spec file)
- follow shared library policy
* Wed Dec 16 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel building
* Tue Jan 13 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed Nov 12 2008 nadvornik@suse.cz
- use the last version of the patches [bnc#392410]
* Tue May 27 2008 nadvornik@suse.cz
- fixed multiple integer overflows [bnc#392410]
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr 19 2007 nadvornik@suse.cz
- updated to bugfix release 1.900.1
- created libjasper-devel subpackage
- do not build static libs
- added compat symlink libjasper-1.701.so.1 -> libjasper.so.1.0.0
- fixed various crashes on malformed input [#258253]
* Mon May 22 2006 pnemec@suse.cz
- fixed uninitialized varibale #176395
  added -uninitialzed.patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 14 2004 sbrabec@suse.cz
- Updated to version 1.701.0.
* Thu Feb  5 2004 sbrabec@suse.cz
- Updated to version 1.700.5.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Thu Jul 24 2003 nadvornik@suse.cz
- updated to 1.700.2
* Sun May 11 2003 ro@suse.de
- added libstdc++-devel to neededforbuild
* Wed Oct 23 2002 uli@suse.de
- update -> 1.600.0 (improved support for the JP2 format, new
  application program "jiv" (simple image viewer), improved support
  for the PNM family of formats, numerous other minor bugs fixed)
* Sat Aug 24 2002 ro@suse.de
- fix doc file section for new cp behaviour
* Tue Jul  2 2002 meissner@suse.de
- buildrooted, run autoreconf*
* Thu Apr 18 2002 sf@suse.de
- added %%{_libdir} to configure for lib/lib64
- added %%{suse_update_config}
* Fri Jan 25 2002 uli@suse.de
- update -> 1.500.4 (improved docs)
* Thu Dec  6 2001 uli@suse.de
- update -> 1.500.3 (fixes)
* Thu Aug 16 2001 uli@suse.de
- build shared lib, too
* Mon Jul 30 2001 uli@suse.de
- initial package
